#
# spec file for package python-sphinx-jsonschema
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinx-jsonschema
Version:        1.15
Release:        bp153.1.17
Summary:        Sphinx extension to display JSON Schema
License:        GPL-3.0-only
URL:            https://github.com/lnoor/sphinx-jsonschema
Source:         https://github.com/lnoor/sphinx-jsonschema/archive/v%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
Requires:       python-docutils
Requires:       python-jsonpointer
Requires:       python-requests
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module docutils}
BuildRequires:  %{python_module jsonpointer}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
# /SECTION
%python_subpackages

%description
Sphinx extension to display JSON Schema.

%prep
%setup -q -n sphinx-jsonschema-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# The tests don't actually properly execute
#%%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Jun 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.15:
  * Fixes for new sphinx releases
* Tue Jun 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- Format with spec-cleaner
* Tue Sep 17 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.10
